Skip to main content
`Ctrl`+`K`

# TSAlphaSetParams

sets the algorithmic parameters for `TSALPHA`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAlphaSetParams(TS ts, PetscReal alpha_m, PetscReal alpha_f, PetscReal gamma)

Logically Collective

## Input Parameters

- ts - timestepping context

- alpha_m - algorithmic parameter

- alpha_f - algorithmic parameter

- gamma - algorithmic parameter

## Options Database Keys

- -ts_alpha_alpha_m alpha_m - set alpha_m

- -ts_alpha_alpha_f alpha_f - set alpha_f

- -ts_alpha_gamma gamma - set gamma

## Note

Second-order accuracy can be obtained so long as: \(\gamma = 0.5 + \alpha_m - \alpha_f\)

Unconditional stability requires: \(\alpha_m >= \alpha_f >= 0.5\)

Backward Euler method is recovered with: \(\alpha_m = \alpha_f = \gamma = 1\)

Use of this function is normally only required to hack `TSALPHA` to use a modified integration scheme. Users should call `TSAlphaSetRadius()` to set the desired spectral radius of the methods (i.e. high-frequency damping) in order so select optimal values for these parameters.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSALPHA`, `TSAlphaSetRadius()`, `TSAlphaGetParams()`

## Level

advanced

## Location

src/ts/impls/implicit/alpha/alpha1.c

## Implementations

TSAlphaSetParams_Alpha() in src/ts/impls/implicit/alpha/alpha1.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages